function Y=norm3(X,n,m,p,mode);
% Y=norm3(X,n,m,p,mode);
% normalizes within one mode to sum of squares equal to product of size of other modes;
% mode indicated by 1,2, or 3 

Y=X;
if mode==1
   Y=nrm(Y')';
   Y=((m*p)^.5)*Y;
end;
if mode==2
   Y=permnew(Y,n,m,p);
   Y=nrm(Y')';
   Y=permnew(Y,m,p,n);
   Y=permnew(Y,p,n,m);
   Y=((n*p)^.5)*Y;
end;
if mode==3
   Y=permnew(Y,n,m,p);
   Y=permnew(Y,m,p,n);
   Y=nrm(Y')';
   Y=permnew(Y,p,n,m);
   Y=((n*m)^.5)*Y;
end;
   
   
