function [lo,up]=percentile95(X);
% [lo,up]=percentile95(X);
% computes 2.5% and 97.5% percentiles for all columns of X

n=length(X(:,1));
vv=sort(X);
% 2.5 th percentiel via interpolation
n25=0.025*n+0.5;
n25f=floor(n25);
n25c=ceil(n25);
if n25c==n25f,n25c=n25f+1;end;
vv1=vv(n25f,:);	
vv2=vv(n25c,:);	
lo=(n25-n25f)*vv2+(n25c-n25)*vv1;
% 97.5 th percentiel via interpolation
n975=0.975*n+0.5;
n975f=floor(n975);
n975c=ceil(n975);
if n975c==n975f,n975c=n975f+1;end;
vv1=vv(n975f,:);	
vv2=vv(n975c,:);	
up=(n975-n975f)*vv2+(n975c-n975)*vv1;