% tucker3dimensionalityplot.m
% plot fit against numbers of dimensions, with PQR as labels
%
% input:
% matrix out from tucker3 routine  (columns 1-3: p,q,r; column 4: fit ;
% column 5: p+q+r


lab=[int2str(out(:,1)) int2str(out(:,2)) int2str(out(:,3))];
eff_n=n;if n>m*p, eff_n=m*p;end;
eff_m=m;if m>n*p, eff_m=n*p;end;
eff_p=p;if p>m*n, eff_p=m*n;end;
ep=eff_n*out(:,1)+eff_m*out(:,2)+eff_p*out(:,3)+out(:,1).*out(:,2).*out(:,3)-out(:,1).^2-out(:,2).^2-out(:,3).^2;
figure(1),plotje([out(:,5) out(:,4)],lab),xlabel('P+Q+R');ylabel('fit%')
figure(2),plotje([ep out(:,4)],lab),xlabel('number of effective parameters');ylabel('fit%')    